LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08638Bug reports[All Projects] Import/Exportpublic2014-01-30 19:312014-02-04 13:32
Reporterriqcles 
Assigned Toc_schmitz 
PriorityhighSeveritycrash 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08638: Survey import does not work in version 2.05
Description
Survey import does not work in version 2.05

build131219
build1410109
build140125

Tested on MySQL and Postgres.

Questionnaire attached as well as screenshots of the error:

Erreur : Failed to insert issue

NB: I can not activate Firebug for traces: (
Additional InformationCan not import previous responses vv format.

Vv file included in the zip.

Can you see that?
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit IDbuild140125
BrowserInternet Explorer 9 / Firefox 17
Database & DB-VersionPostgresql 9.1 / Mysql
Operating System (Server)EasyPHP
Webserver software & versionApache 2.2
PHP Version5.3
Attached Fileszip file icon test_imports_exports.zip [^] (155,268 bytes) 2014-01-30 19:31

- Relationships

-  Notes
User avatar (28317)
c_schmitz (administrator)
2014-01-31 14:01

Did you export the VV file on the same version ? Or on a previous one?
User avatar (28328)
riqcles (reporter)
2014-01-31 15:37

vv file came from limesurvey 1.85+ build(7689)
User avatar (28333)
c_schmitz (administrator)
2014-01-31 16:17

I am sorry, but that's not supposed to work. Only VV files from the same version are supported.
User avatar (28389)
riqcles (reporter)
2014-02-02 01:44

ok for the vv, but for survey import, it's doesn't work.
User avatar (28391)
c_schmitz (administrator)
2014-02-02 01:59

so, importing an .lss file does not work? Can you attach the .lss file in question?
User avatar (28411)
riqcles (reporter)
2014-02-02 23:15

This is not the lss does not matter who is right, but a survey in csv format exported from version 1.85 to 2.05.
It worked with 2.00.

The survey is in the zip file. It is called Acces_application_questionnaire_survey_55764.csv

Thank you.
User avatar (28430)
c_schmitz (administrator)
2014-02-03 10:22

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13826 [^]
User avatar (28505)
c_schmitz (administrator)
2014-02-04 13:32

Version 2.05+ Build 140204 released

- Related Changesets
LimeSurvey: master 732d4789
Timestamp: 2014-02-03 09:19:21
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08638: .csv survey import does not work
mod - application/helpers/admin/import_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-30 19:31 riqcles New Issue
2014-01-30 19:31 riqcles File Added: test_imports_exports.zip
2014-01-31 14:01 c_schmitz Note Added: 28317
2014-01-31 14:01 c_schmitz Assigned To => c_schmitz
2014-01-31 14:01 c_schmitz Status new => feedback
2014-01-31 15:37 riqcles Note Added: 28328
2014-01-31 15:37 riqcles Status feedback => assigned
2014-01-31 16:17 c_schmitz Note Added: 28333
2014-01-31 16:17 c_schmitz Status assigned => closed
2014-01-31 16:17 c_schmitz Resolution open => no change required
2014-02-02 01:44 riqcles Note Added: 28389
2014-02-02 01:44 riqcles Status closed => feedback
2014-02-02 01:44 riqcles Resolution no change required => reopened
2014-02-02 01:59 c_schmitz Note Added: 28391
2014-02-02 23:15 riqcles Note Added: 28411
2014-02-02 23:15 riqcles Status feedback => assigned
2014-02-03 10:19 c_schmitz Status assigned => resolved
2014-02-03 10:19 c_schmitz Fixed in Version => 2.05+
2014-02-03 10:19 c_schmitz Resolution reopened => fixed
2014-02-03 10:22 c_schmitz Changeset attached => LimeSurvey master 732d4789
2014-02-03 10:22 c_schmitz Note Added: 28430
2014-02-04 13:32 c_schmitz Note Added: 28505
2014-02-04 13:32 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker